<?php

$tokadastro = filter_var($_POST['tokadastro'], FILTER_SANITIZE_STRING);
$email = filter_var($_POST['email'], FILTER_SANITIZE_EMAIL);
//if(!isset($_SESSION['tokadastro']) || $_SESSION['tokadastro']!=$tokadastro) { header("location:".sti('urlbase').'cadastro#1');exit;}


if(filter_var($email, FILTER_VALIDATE_EMAIL)===false)  { header("location:".sti('urlbase').'cadastro#2');exit;}

$nome = filter_var($_POST['nome'], FILTER_SANITIZE_STRING);
$cel = filter_var($_POST['cel'], FILTER_SANITIZE_STRING);
if(empty($cel) || strlen($cel)>15) { header("location:".sti('urlbase').'cadastro#3');exit;}
$tel = filter_var($_POST['tel'], FILTER_SANITIZE_STRING);
$senha1 = filter_var($_POST['senha1'], FILTER_SANITIZE_STRING);
$senha2 = filter_var($_POST['senha2'], FILTER_SANITIZE_STRING);

if($senha1!=$senha2 || empty($senha1) || strlen($senha1)<3) { header("location:".sti('urlbase').'cadastro#4');exit;}
$cep = filter_var($_POST['cep'], FILTER_SANITIZE_STRING);
if(empty($cep) || strlen($cep)<9) { header("location:".sti('urlbase').'cadastro#5');exit;}

$logradouro = filter_var($_POST['logradouro'], FILTER_SANITIZE_STRING);
$bairro = filter_var($_POST['bairro2'], FILTER_VALIDATE_INT);


$selBairro = mysql_query("SELECT id FROM cobertura WHERE id='$bairro'");
if(mysql_num_rows($selBairro)==0) { header("location:".sti('urlbase').'cadastro#6');exit;}

$complemento = filter_var($_POST['complemento'], FILTER_SANITIZE_STRING);
$cidade = filter_var($_POST['cidade'], FILTER_SANITIZE_STRING);
$referencia = filter_var($_POST['referencia'], FILTER_SANITIZE_STRING);


$token = md5($nome.time());


$sel_cli = mysql_query("SELECT id FROM clientes WHERE email ='$email'");

if(mysql_num_rows($sel_cli)==1) { header("location:".sti('urlbase').'cadastro#7');exit;}

$grava = mysql_query("INSERT INTO clientes (nome, email, senha, telefone, logradouro, id_bairro, cep, complemento, ponto_referencia, celular, datacad, confirmado, token) VALUES
 ( '$nome', '$email', '$senha1', '$tel', '$logradouro', '$bairro', '$cep', '$complemento', '$referencia', '$cel', now(), '0', '$token')");


$corpo  = "<h1>Valide seu cadastro</h1>";
$corpo .= "<p>Olá <strong>$nome</strong>, você acaba de se cadastrar para realizar pedidos em nosso site.</p>";
$corpo .= "<p>Clique no link para confirmar o seu cadastro: <strong><a href='".sti('urlbase')."confirmar/".$token."'>CLIQUE AQUI</a></strong></p>";
$corpo .= "<p>Caso não consiga, basta copiar o link abaixo e colar no seu navegador.</p>";
$corpo .= "<p>".sti('urlbase')."confirmar/".$token."</p>";
$corpo .= "<p>Obrigado pela preferência</p>";
$corpo .= "<p>-</p>";
$corpo .= "<p><strong>Equipe Tacho Restaurante</strong></p>";
$corpo .= "<p>Não precisa responder este email.</p>";

//$sendmail = true;
$sendmail = smtpmailer($corpo, $email, 'Cadastro');

if(!$sendmail){

    $headers  = "From: Tacho Restaurante<web@tachorestautante.com.br>\r\n"; 
    $headers .= "Reply-To: web@tachorestautante.com\r\n"; 
    $headers .= 'MIME-Version: 1.0' . "\n"; 
    $headers .= 'Content-type: text/html; charset=utf8' . "\r\n"; 

    mail($email, 'Cadastro Tacho Restaurante', $corpo, $headers); 

}

header("location:".sti('urlbase')."cadastro-realizado/".$token);










